# Interface CachedColumn

public interface CachedColumn
Defines storage for a vector of data.

The usage sequence for an instance of this class is:

- Call `add(Object)` zero or more times
- Call `endAdd()`
- Call `createReader()` zero or more times

Since:
  4 Feb 2013
Author:
  Mark Taylor

## Method Summary

Modifier and Type
Method
Description
`void`
`add(Object value)`
Adds an entry to this vector data container.
`CachedReader`
`createReader()`
Returns an object which is capable of accessing the values that were added to this object.
`void`
`endAdd()`
Indicates that no more calls to `add(Object)` will be made
`long`
`getRowCount()`
Returns the number of values added so far.

## Method Details

### add

void add(Object value) throws IOException
Adds an entry to this vector data container. In general the supplied value must be of an appropriate type for this object. It must not be null.

Parameters:
  `value` - non-null value to store
Throws:
  `IOException`

### endAdd

void endAdd() throws IOException
Indicates that no more calls to `add(Object)` will be made

Throws:
  `IOException`

### getRowCount

long getRowCount()
Returns the number of values added so far.

Returns:
  value count

### createReader

CachedReader createReader()
Returns an object which is capable of accessing the values that were added to this object.

Returns:
  cached data sequence